Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 10 Dec 2019, 10:29
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
DebianDog - Wheezy
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 50 of 99 [1481 Posts]   Goto page: Previous 1, 2, 3, ..., 48, 49, 50, 51, 52, ..., 97, 98, 99 Next
Author Message
Keisha

Joined: 18 Nov 2014
Posts: 469

PostPosted: Mon 09 Mar 2015, 13:39    Post subject:  

saintless wrote:
...All credit goes to Keisha and infinality creators. I just try to keep dpkg working and safe...

You certainly do deserve credit, since I would have left it in its wild unsafe unusable form had it not been for your merciless whip Twisted Evil Wink

_________________
“A wise man can learn more from a foolish question than a fool can learn from a wise answer.” --Bruce Lee
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4207
Location: holland

PostPosted: Mon 09 Mar 2015, 15:14    Post subject:  

Hi All,

See for YouTube-Get v2 in Utility thread here:
http://www.murga-linux.com/puppy/viewtopic.php?p=832961#832961
It's a very different version compared to previous youtube-get; YouTube-Get v2 is a frontend for youtube-dl, see here for info about youtube-dl:
http://rg3.github.io/youtube-dl/

Fred
Back to top
View user's profile Send private message 
saintless


Joined: 11 Jun 2011
Posts: 3882
Location: Bulgaria

PostPosted: Tue 10 Mar 2015, 03:31    Post subject:  

fredx181 wrote:
Here's yad 0.19 deb package I made that works on squeeze.

Thanks, Fred!
I will upload it on the site and replace the older version if I make another Squeeze iso update.

Quote:
See for YouTube-Get v2 in Utility thread here:
http://www.murga-linux.com/puppy/viewtopic.php?p=832961#832961
-------------------
- youtube-get2_0.1.0_i386.deb, for installing (latest youtube-dl included, depends on python, takes 15MB of disk space)
- YouTube-Get-v2 , a portable appimage, has all (youtube-dl, python + the required python modules included, 6.5 Mb)

If youtube-get2_0.1.0_i386.deb can be installed together with youtube-get_0.1.0_i386.deb I will add it to the repository.
I think the portable appimage should go in no-repo-packages. Do you have another suggestion?
http://smokey01.com/saintless/DebianDog/No-repo-packages/

Toni

_________________
Farewell, Nooby, you will be missed...
Back to top
View user's profile Send private message MSN Messenger 
saintless


Joined: 11 Jun 2011
Posts: 3882
Location: Bulgaria

PostPosted: Tue 10 Mar 2015, 03:36    Post subject: Re: re: Can fc-presets be pre-supplied / Fred's Feb 22 DD-Jessie  

Keisha wrote:
fc-presets just creates symlinks inside /etc/fonts/conf.d, pointing to the files inside the subdirectory you choose. So, if you create those symlinks manually inside the fontconfig-config .deb package, the purpose of fc-presets is satisfied.

Thanks, Keisha.
I will test it in the next days and maybe I will replace fonconfig-config package with symlink included and your custom configuration.

Toni

_________________
Farewell, Nooby, you will be missed...
Back to top
View user's profile Send private message MSN Messenger 
fredx181


Joined: 11 Dec 2013
Posts: 4207
Location: holland

PostPosted: Tue 10 Mar 2015, 04:50    Post subject:  

Hi Toni,

Quote:
If youtube-get2_0.1.0_i386.deb can be installed together with youtube-get_0.1.0_i386.deb I will add it to the repository.

Yes, that's my purpose, youtube-get2 has Replaces: line in control but youtube-get needs that also.
Attached youtube-get_0.1.0_i386.deb.tar (remove dummy .tar extension)

Quote:
I think the portable appimage should go in no-repo-packages. Do you have another suggestion?
http://smokey01.com/saintless/DebianDog/No-repo-packages/


If you want to add it, it's fine by me.

Fred
youtube-get_0.1.0_i386.deb.tar
Description  youtube-get with "Replaces: youtube-get2" line in control file
tar

 Download 
Filename  youtube-get_0.1.0_i386.deb.tar 
Filesize  20.76 KB 
Downloaded  145 Time(s) 
Back to top
View user's profile Send private message 
saintless


Joined: 11 Jun 2011
Posts: 3882
Location: Bulgaria

PostPosted: Tue 10 Mar 2015, 05:50    Post subject:  

Ok, Fred.
Both new youtube-get should be available for installing with apt-get.
Quick tested from user and root account and I see no problems.
Appimage added inside zip archive in no-repo-packages section.
http://smokey01.com/saintless/DebianDog/No-repo-packages/

Toni

_________________
Farewell, Nooby, you will be missed...
Back to top
View user's profile Send private message MSN Messenger 
saintless


Joined: 11 Jun 2011
Posts: 3882
Location: Bulgaria

PostPosted: Tue 10 Mar 2015, 06:31    Post subject:  

Hi, Keisha, Fred.
Testing fontconfig-config deb with combi as default and custom settings from Keisha.
http://smokey01.com/saintless/Fredx181/Temp-stuff/fontconfig-config_2.9.0-7.1_all.deb
If it works for you I will replace the one on the site.

Toni
Back to top
View user's profile Send private message MSN Messenger 
Keisha

Joined: 18 Nov 2014
Posts: 469

PostPosted: Tue 10 Mar 2015, 15:13    Post subject:  

saintless wrote:
Hi, Keisha, Fred.
Testing fontconfig-config deb with combi as default and custom settings from Keisha.
http://smokey01.com/saintless/Fredx181/Temp-stuff/fontconfig-config_2.9.0-7.1_all.deb
If it works for you I will replace the one on the site.

Toni

Works and looks good here!

We should probably include a readme, some basic instructions, with the set of nine .deb's. I'll work on it while cooking-up infinality for Jessie.

_________________
“A wise man can learn more from a foolish question than a fool can learn from a wise answer.” --Bruce Lee
Back to top
View user's profile Send private message 
saintless


Joined: 11 Jun 2011
Posts: 3882
Location: Bulgaria

PostPosted: Wed 11 Mar 2015, 06:02    Post subject:  

Thanks for testing, Keisha!
I will wait for your text file information and upload it with fontconfig-config new deb.
Maybe we will find more improvements or changes for fontconfig-config to add as default after installing the package.

To everyone:
DebianDog wireless LAN HowTo thread from William.
Added in related links first post here.

Toni

_________________
Farewell, Nooby, you will be missed...
Back to top
View user's profile Send private message MSN Messenger 
Keisha

Joined: 18 Nov 2014
Posts: 469

PostPosted: Wed 11 Mar 2015, 14:44    Post subject: "Insecure location" problem with new desktop launcher Jessie  

One problem with Fred's DD-Jessie, which did not exist in Toni's DD-Wheezy: I cannot make a new desktop shortcut icon.

In DD-Wheezy, I could drag'n'drop the ROX-filer .desktop file to the desktop --this did not copy it but rather moved it, so I had to drag'n'drop it back, from the desktop to /usr/share/applications, to restore the copy in /usr/share/applications. But then the desktop launcher worked OK.

In DD-Jessie, there is no ROX-filer .desktop file in /usr/share/applications. I tried copying the one from Wheezy in, and if I click on its icon within /usr/share/applications then ROX-Filer starts.

But if I drag'n'drop the rox.desktop file to the desktop (and then d'n'd it back to /usr/share/applications to re-copy it in), clicking on the desktop rox launcher gives the message "Untrusted application launcher...The destop file "rox.desktop" is in an insecure location and not marked as executable" and two buttons "Launch anyway" and "Cancel."

Obviously this is a needless pain, that I must click twice to launch ROX-Filer. It is not a complete show-stopper, because I also have a ROX launcher in the panel's launcher area and it works OK.

Still, I would like to be able to create a ROX desktop launcher.

Can you give me a procedure for ending this "is in an insecure location" business?

_________________
“A wise man can learn more from a foolish question than a fool can learn from a wise answer.” --Bruce Lee
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4207
Location: holland

PostPosted: Wed 11 Mar 2015, 19:20    Post subject: Re: "Insecure location" problem with new desktop launcher Jessie  

Keisha wrote:
One problem with Fred's DD-Jessie, which did not exist in Toni's DD-Wheezy: I cannot make a new desktop shortcut icon.

In DD-Wheezy, I could drag'n'drop the ROX-filer .desktop file to the desktop --this did not copy it but rather moved it, so I had to drag'n'drop it back, from the desktop to /usr/share/applications, to restore the copy in /usr/share/applications. But then the desktop launcher worked OK.

In DD-Jessie, there is no ROX-filer .desktop file in /usr/share/applications. I tried copying the one from Wheezy in, and if I click on its icon within /usr/share/applications then ROX-Filer starts.

But if I drag'n'drop the rox.desktop file to the desktop (and then d'n'd it back to /usr/share/applications to re-copy it in), clicking on the desktop rox launcher gives the message "Untrusted application launcher...The destop file "rox.desktop" is in an insecure location and not marked as executable" and two buttons "Launch anyway" and "Cancel."

Obviously this is a needless pain, that I must click twice to launch ROX-Filer. It is not a complete show-stopper, because I also have a ROX launcher in the panel's launcher area and it works OK.

Still, I would like to be able to create a ROX desktop launcher.

Can you give me a procedure for ending this "is in an insecure location" business?


Yes, it's terrible new behaviour for .desktop files on Debian/xfce4, IMO
What I did to solve it is making all .desktop files executable (but needs to be done with every new one you add):

Code:
chmod +x $HOME/Desktop/*.desktop


Maybe small script in ~/Startup that does the above everytime you login will be best.

Fred
Back to top
View user's profile Send private message 
Keisha

Joined: 18 Nov 2014
Posts: 469

PostPosted: Wed 11 Mar 2015, 21:52    Post subject: Re: "Insecure location" problem with new desktop launcher Jessie  

fredx181 wrote:
...Yes, it's terrible new behaviour for .desktop files on Debian/xfce4, IMO...What I did to solve it is making all .desktop files executable

Well, for Pete's sake...I tried making the .desktop file executable during my last session and that didn't work. This session, it works. Yet another of life's little mysteries...

_________________
“A wise man can learn more from a foolish question than a fool can learn from a wise answer.” --Bruce Lee
Back to top
View user's profile Send private message 
Keisha

Joined: 18 Nov 2014
Posts: 469

PostPosted: Wed 11 Mar 2015, 21:57    Post subject:  

Hehe...the *second* time I clicked the new desktop icon, it gave me the "insecure location" dialogbox again...

(**edited later) ...and now it's working again Laughing

_________________
“A wise man can learn more from a foolish question than a fool can learn from a wise answer.” --Bruce Lee
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4207
Location: holland

PostPosted: Thu 12 Mar 2015, 18:04    Post subject:  

Hi All,

See in Utility thread for upgrade of YouTube-Get v2 (version 0.1.1):
http://www.murga-linux.com/puppy/viewtopic.php?p=832961#832961
Changes: Completely changed the interface to much more user friendly IMHO.

Edit: Portable Appimage (inside .zip archive) for new version here:
https://googledrive.com/host/0ByBgCDlZZ8K5bUsxVnhCTkhoZDA/Packages/YouTube-Get-v2.zip

Fred

Last edited by fredx181 on Fri 13 Mar 2015, 16:00; edited 1 time in total
Back to top
View user's profile Send private message 
Keisha

Joined: 18 Nov 2014
Posts: 469

PostPosted: Fri 13 Mar 2015, 15:07    Post subject: infinality Jessie update -problems with debian repo's?  

The libfreetype6 .deb is finished. Bohoomil kindly provided me his original freetype-2.5.2 patchset, which is not publicly available.

The patching of the libcairo2 source is finished.

However, I had problems with the attempt last night to build cairo. The configure ran successfully, but the make halted with an obscure error, having to do with src/.libs/libcairo.ver containing incorrect syntax.

To compound matters, both libfreetype6 and libfreetype6-dev provide a file named /usr/share/aclocal/freetype2.m4 and this conflict gave Synaptic many problems when trying to install the many dependencies of cairo.

To make a long story short...I decided to just rename live/changes and thereby start from a fresh install of Fred's Feb 22 DDJ-openbox (my infinality source is on a separate hard disk).

My new libfreetype6 .deb installs OK on a fresh install of Fred's DDJ. It provides at least equal, maybe slightly better, font rendering, by itself without patched cairo (but, with the infinality version of the contents of /etc/fonts), than Fred's DDJ's already-excellent font rendering.

After using Synaptic to update the database and perform the all-upgrades on this fresh install of Fred's DDJ, xarchiver would not open. The error message said it failed to execute child process "ar".

So I tried completely removing and re-installing xarchiver, with all suggested's and recommended's.

Now, attempting to open xarchiver from a terminal, the cursor just hangs in space, no error message.

Can either of you provide me a clue what might be happening to stop xarchiver?

Is it possible that there has been a problem in the last 18 hours with the Debian repositories?

_________________
“A wise man can learn more from a foolish question than a fool can learn from a wise answer.” --Bruce Lee
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 50 of 99 [1481 Posts]   Goto page: Previous 1, 2, 3, ..., 48, 49, 50, 51, 52, ..., 97, 98, 99 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0920s ][ Queries: 12 (0.0376s) ][ GZIP on ]